#
# spec file for package python-pybonjour
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-pybonjour
Version:        1.1.1
Release:        1.1
Url:            http://code.google.com/p/pybonjour/
Summary:        Pure-Python interface to Apple Bonjour and compatible DNS-SD libraries
License:        MIT
Group:          Development/Languages/Python
Source:         http://pybonjour.googlecode.com/files/pybonjour-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# This lib has no real devel package:
BuildRequires:  libdns_sd
BuildRequires:  python-devel
BuildRequires:  python-nose
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
pybonjour provides a pure-Python interface (via ctypes) to Apple
Bonjour and compatible DNS-SD libraries (such as Avahi).  It allows
Python scripts to take advantage of Zero Configuration Networking
(Zeroconf) to register, discover, and resolve services on both local
and wide-area networks.  Since pybonjour is implemented in pure
Python, scripts that use it can easily be ported to Mac OS X, Windows,
Linux, and other systems that run Bonjour.

%prep
%setup -q -n pybonjour-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#nosetests

%files
%defattr(-,root,root,-)
%doc README examples
%{python_sitelib}/*

%changelog
* Tue Jan 31 2012 saschpe@suse.de
- Initial version
